This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 197744 - Review Request: perl-DateTime-Event-ICal
Review Request: perl-DateTime-Event-ICal
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 197739
Blocks: FE-ACCEPT 197745
  Show dependency treegraph
 
Reported: 2006-07-05 17:49 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 16:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-07-05 17:49:45 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Event-ICal/perl-DateTime-Event-ICal.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Event-ICal-0.09-1.src.rpm
Description:
This module provides convenience methods that let you easily create
DateTime::Set objects for rfc2445 style recurrences.
Comment 1 Jason Tibbitts 2006-07-07 22:51:35 EDT
* source files match upstream:
   a68e58f5aac48a739249118d078e9947  DateTime-Event-ICal-0.09.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64, some dependencies added to local
repo)
* rpmlint is silent.
* noarch package, so no debuginfo.
* final provides and requires are sane:
   perl(DateTime::Event::ICal) = 0.09
   perl-DateTime-Event-ICal = 0.09-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(DateTime)
   perl(DateTime::Event::Recurrence) >= 0.11
   perl(DateTime::Set)
   perl(DateTime::Span)
   perl(DateTime::SpanSet)
   perl(Exporter)
   perl(Params::Validate)
   perl(constant)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=6, Tests=68, 111 wallclock secs (110.89 cusr +  0.23 csys = 111.12 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-07-13 16:35:09 EDT
Imported into CVS, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.